Package com.orchestranetworks.service.comparison

# Interface DifferenceBetweenContents

All Superinterfaces:
  `Difference`

All Known Subinterfaces:
  `DifferenceBetweenInstances`, `DifferenceBetweenOccurrences`

public interface DifferenceBetweenContents extends Difference
Abstract class for representing differences between two datasets or two records.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `collectNodeDifferences(Collection<? super NodeDifference> aCollection)`
  Adds node differences to the specified collection.
  `Adaptation`
  `getContentOnLeft()`
  Returns the content on the left side.
  `Adaptation`
  `getContentOnRight()`
  Returns the content on the right side.
  `NodeDifference`
  `getNodeDifference(Path aNodePath)`
  Returns the difference for the specified node, `null` if there is no difference.
  `NodeDifference`
  `getNodeDifferenceOnTargetChangeSet(NodeDifference nodeDifferenceOnSource, DifferenceBetweenHomes targetChangeSet)`
  `List<NodeDifference>`
  `getNodeDifferences()`
  Returns a `List` of `NodeDifference`.
  `int`
  `getNodeDifferencesSize()`
  Returns the total number of delta values.
  `boolean`
  `isEmpty()`
  Returns `true` if there are no differences.

  ### Methods inherited from interface com.orchestranetworks.service.comparison.Difference

  `isResolvedMode`

- ## Method Details

  - ### getNodeDifference

    NodeDifference getNodeDifference(Path aNodePath)
    Returns the difference for the specified node, `null` if there is no difference.

    If the specified node is a complex node and not an aggregated list, this method always returns `null`, since differences are only detected at the simple node level and at the aggregated list level. Additionally, if the specified node is under an aggregated list, this method also always returns `null`

  - ### getNodeDifferences

    List<NodeDifference> getNodeDifferences()
    Returns a `List` of `NodeDifference`.

  - ### getNodeDifferencesSize

    int getNodeDifferencesSize()
    Returns the total number of delta values.

  - ### isEmpty

    boolean isEmpty()
    Description copied from interface: `Difference`
    Returns `true` if there are no differences.
    Specified by:
      `isEmpty` in interface `Difference`

  - ### collectNodeDifferences

    void collectNodeDifferences(Collection<? super NodeDifference> aCollection)
    Adds node differences to the specified collection.
    See Also:
      - `NodeDifference`

  - ### getContentOnLeft

    Adaptation getContentOnLeft()
    Returns the content on the left side.

  - ### getContentOnRight

    Adaptation getContentOnRight()
    Returns the content on the right side.

  - ### getNodeDifferenceOnTargetChangeSet

    NodeDifference getNodeDifferenceOnTargetChangeSet(NodeDifference nodeDifferenceOnSource, DifferenceBetweenHomes targetChangeSet)